Package ru.bitel.bgbilling.kernel.contract.autopayment.common.service

# Interface ContractAutopaymentService

public interface ContractAutopaymentService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `autopaymentInvoke(int contractId, BigDecimal amount)`
  `SearchResult<Autopayment>`
  `autopaymentSearch(int contractId, Period period, String[] sort, Page page)`
  `void`
  `contractAutopaymentModeCheck(int contractId, ContractAutopaymentMode autopaymentMode)`
  Проверка на возможность включения автоплатежа.
  `List<ContractAutopaymentMode>`
  `contractAutopaymentModeList(int contractId)`
  Получение доступных режимов для договора.
  `boolean`
  `isEnabled(int contractId)`
  Текущее состояние
  `SearchResult<ContractAutopayment>`
  `searchContractAutopayment(int contractId, Period period, String[] sort, Page page)`
  Список переключения разрешения/запрета автоплатежа администратором
  `boolean`
  `setEnabled(int contractId, boolean enabled)`
  Установить состояние

- ## Method Details

  - ### searchContractAutopayment

    SearchResult<ContractAutopayment> searchContractAutopayment(int contractId, Period period, String[] sort, Page page) throws Exception
    Список переключения разрешения/запрета автоплатежа администратором
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `BGException`
      `Exception`

  - ### isEnabled

    boolean isEnabled(int contractId) throws Exception
    Текущее состояние
    Parameters:
      `contractId` -
    Returns:
    Throws:
      `BGException`
      `Exception`

  - ### setEnabled

    boolean setEnabled(int contractId, boolean enabled) throws Exception
    Установить состояние
    Parameters:
      `contractId` -
      `enabled` -
    Returns:
    Throws:
      `BGException`
      `Exception`

  - ### contractAutopaymentModeList

    List<ContractAutopaymentMode> contractAutopaymentModeList(int contractId) throws Exception
    Получение доступных режимов для договора.
    Parameters:
      `contractId` -
    Returns:
    Throws:
      `BGException`
      `BGMessageException`
      `BGIllegalArgumentException`
      `BGIllegalAccessException`
      `Exception`

  - ### contractAutopaymentModeCheck

    void contractAutopaymentModeCheck(int contractId, ContractAutopaymentMode autopaymentMode) throws Exception
    Проверка на возможность включения автоплатежа.
    Parameters:
      `contractId` -
      `autopaymentMode` -
    Throws:
      `Exception`

  - ### autopaymentSearch

    SearchResult<Autopayment> autopaymentSearch(int contractId, Period period, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### autopaymentInvoke

    void autopaymentInvoke(int contractId, BigDecimal amount) throws Exception
    Throws:
      `Exception`